# Generated from omniauth-slooob-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omniauth-slooob

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Slooob OAuth2 strategy for OmniAuth
License: MIT
URL: https://developer.slooob.com/docs/api/identity/v1
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(shoulda) >= 3.5
# BuildRequires: rubygem(shoulda) < 4
# BuildRequires: rubygem(shoulda-let)
# BuildRequires: rubygem(shoulda-let) < 1
# BuildRequires: rubygem(tzinfo-data) >= 1.2017
# BuildRequires: rubygem(tzinfo-data) < 2
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Slooob OAuth2 Strategy for OmniAuth. Built on Slooob Identity API v1.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/omniauth-slooob.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
